<?php
$lang->deploy->artifact = 'Artifact';
$lang->deploy->setting  = 'Approval Setting';
$lang->deploy->flow     = 'Approval Flow';
$lang->deploy->env      = 'ENV';
$lang->deploy->app      = 'Template';
$lang->deploy->products = 'Products';
$lang->deploy->host     = 'Host';
$lang->deploy->recall   = 'Recall';
$lang->deploy->progress = 'Progress';
$lang->deploy->submit   = 'Submit';
$lang->deploy->review   = 'Review';
$lang->deploy->reviewer = 'Reviewer';

$lang->deploy->deployResult     = 'Review Result';
$lang->deploy->deployedDate     = 'Reviewed Date';
$lang->deploy->finalOpinion     = 'Final Opinion';
$lang->deploy->reviewedBy       = 'Reviewer';
$lang->deploy->lastReviewedDate = 'Last Reviewed';

$lang->deploy->notice->recall        = 'Are you sure you want to recall this approval?';
$lang->deploy->notice->emptyArtifact = 'Please make sure there are no docker type artifacts.';
$lang->deploy->notice->noArtifact    = 'Release [%s] does not have artifact.';
$lang->deploy->notice->release       = 'Release cannot be empty.';
$lang->deploy->notice->product       = 'Product cannot be empty.';

$lang->deploy->approvalStatus['0'] = 'Close';
$lang->deploy->approvalStatus['1'] = 'Open';

global $config;
if($config->inQuickon) $lang->deploy->typeList['spug'] = 'Spug';

if($config->edition != 'open' && $config->edition != 'biz')
{
    $lang->deploy->featureBar['browse']['wait']    = 'Wait';
    $lang->deploy->featureBar['browse']['waiting'] = 'Review';

    $lang->deploy->statusList['wait']      = 'Wait';
    $lang->deploy->statusList['draft']     = 'Draft';
    $lang->deploy->statusList['waiting']   = 'Review';
    $lang->deploy->statusList['reviewing'] = 'Reviewing';
    $lang->deploy->statusList['rejected']  = 'Rejected';
}

$lang->deploy->reviewResultList['pass'] = 'Pass';
$lang->deploy->reviewResultList['fail'] = 'Fail';

$lang->deploy->action = new stdclass();
$lang->deploy->action->reviewed = array('main' => '$date, reviewed by <strong>$actor</strong>，<strong>$extra</strong>.', 'extra' => 'reviewResultList');
$lang->deploy->action->submit   = array('main' => '$date, submitted review by <strong>$actor</strong>.');
$lang->deploy->action->recall   = array('main' => '$date, recalled by <strong>$actor</strong>.');

$lang->deploy->createFailed  = 'Deploy create failed';
$lang->deploy->publishFailed = 'Deploy failed';
$lang->deploy->deleteFailed  = 'Deploy delete failed';

$lang->deploy->apiError = array();
$lang->deploy->apiError[] = "The artifact url is too long!";
$lang->deploy->apiError[] = "The name is too long, please modify it and try again!";
$lang->deploy->apiError[] = "The description is too long, please modify it and try again!";
