<?php
global $config;
$lang->env = new stdclass();

$lang->env->common = 'Environment';
$lang->env->browse = 'Environment List';
$lang->env->create = 'Add Environment';
$lang->env->edit   = 'Edit Environment';
$lang->env->delete = 'Delete Environment';
$lang->env->name   = 'Environment Name';
$lang->env->code   = 'Environment Code';
$lang->env->system = 'CD System';
$lang->env->type   = 'Type';
$lang->env->desc   = 'Environment Description';

$lang->env->codePlaceholder = 'Can only be composed of letters, numbers, and underscores';

$lang->env->systemList = array();
$lang->env->systemList['cne']    = 'CNE';
$lang->env->systemList['k8s']    = 'K8s';
if($config->inQuickon) $lang->env->systemList['spug'] = 'Spug';
$lang->env->systemList['manual'] = 'Manual';

$lang->env->typeList = array();
$lang->env->typeList['dev']  = 'Development';
$lang->env->typeList['test'] = 'Test';
$lang->env->typeList['pre']  = 'Pre-Release';
$lang->env->typeList['prod'] = 'Production';

$lang->env->confirmDelete = 'Are you sure to delete this environment?';

$lang->env->notice = new stdclass();
$lang->env->notice->name       = 'Environment name cannot exceed 50 characters';
$lang->env->notice->code       = 'Can only be composed of letters, numbers, and underscores, and cannot be repeated';
$lang->env->notice->desc       = 'Environment description cannot exceed 255 characters';
$lang->env->notice->codeLength = 'Environment code cannot exceed 50 characters';

$lang->env->apiError = new stdclass();
$lang->env->apiError->envCodeIsExist = 'Environment code %s already exists, please change and try again';

$lang->env->apiErrorList = array();
$lang->env->apiErrorList[] = 'This environment has been linked to release configuration, please delete related release configuration first before deleting';

$lang->env->error = new stdclass();
$lang->env->error->envCodeIsExist = 'Environment code %s already exists, please change and try again';
